cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

This community is for technical, feature, configuration and deployment questions.
For production deployment issues, please contact the TAC! We will not comment or assist with your TAC case in these forums.
Please see How to Ask the Community for Help for other best practices.

1159
Views
0
Helpful
3
Replies
mrfoxworth
Beginner

ACS 5.3 Migration Utility Failures

I'm trying to run the migration utility to export from ACS 4.2.0(124) to an ACS 5.3 appliance, and am receiving the "

Fatal Error !! - cannot connect to ACS 4.x DB !!" error when I run the utility on the migration machine.  The migration machine has ACS 4.2.0(124) installed and is a Windows 2008 Standard Server SP1 running as a VM.  I am logging into the server with VNC (*not* RDP) with a locally-defined administrator account.  I get these errors in migration.log when I run the utility and try to do an "analyze and export" function:

07-26-2012 13:36:55 JavaUtils.isAttachmentSupported(JavaUtils.java:1308) WARN - Unable to find required classes (javax.activation.DataHandler and javax.mail.internet.MimeMultipart). Attachment support is disabled.

07-26-2012 13:37:14 ACS4Connector.checkDBConnectivity(ACS4Connector.java:137)FATAL -  Fatal Error !! - cannot connect to ACS 4.x DB !!

java.sql.SQLException: [Microsoft][ODBC Driver Manager] Data source name not found and no default driver specified

at ianywhere.ml.jdbcodbc.IDriver.makeODBCConnection(Native Method)

at ianywhere.ml.jdbcodbc.IDriver.connect(IDriver.java:354)

at java.sql.DriverManager.getConnection(Unknown Source)

at java.sql.DriverManager.getConnection(Unknown Source)

at com.cisco.nm.acs.mgmt.migration.ACS4Connector.getConnecter(ACS4Connector.java:66)

at com.cisco.nm.acs.mgmt.migration.ACS4Connector.checkDBConnectivity(ACS4Connector.java:133)

at com.cisco.nm.acs.mgmt.migration.MigrationApplicationCLI.runExport(MigrationApplicationCLI.java:605)

at com.cisco.nm.acs.mgmt.migration.MigrationApplicationCLI.main(MigrationApplicationCLI.java:266)

Any ideas?

1 ACCEPTED SOLUTION

Accepted Solutions

I have only seen it working with 2003 32-bits.

View solution in original post

3 REPLIES 3
mauzamor
Beginner

Hi there,

The migration utility doesn't work when running Windows 2008 or 64-bits machines. This is already documented:

http://tools.cisco.com/Support/BugToolKit/search/getBugDetails.do?method=fetchBugDetails&bugId=CSCtn17779

Let me know if it helps.

This is Windows 2008 32-bit.  Is that supported?

I have only seen it working with 2003 32-bits.

Create
Recognize Your Peers
Content for Community-Ad

ISE Webinars


Miss a previous ISE webinar?
Never miss one again!

CiscoISE on YouTube